[Debian-live-changes] r1477 - dists/trunk/live-initramfs/scripts/live-bottom

Daniel Baumann daniel at alioth.debian.org
Fri May 11 21:05:04 UTC 2007


Author: daniel
Date: 2007-05-11 21:05:03 +0000 (Fri, 11 May 2007)
New Revision: 1477

Added:
   dists/trunk/live-initramfs/scripts/live-bottom/111-modules
   dists/trunk/live-initramfs/scripts/live-bottom/122-anacron
   dists/trunk/live-initramfs/scripts/live-bottom/123-postfix
   dists/trunk/live-initramfs/scripts/live-bottom/124-hwclock
Removed:
   dists/trunk/live-initramfs/scripts/live-bottom/111-kernel-modules
Modified:
   dists/trunk/live-initramfs/scripts/live-bottom/121-inittab
Log:


Deleted: dists/trunk/live-initramfs/scripts/live-bottom/111-kernel-modules
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/111-kernel-modules	2007-05-11 20:51:31 UTC (rev 1476)
+++ dists/trunk/live-initramfs/scripts/live-bottom/111-kernel-modules	2007-05-11 21:05:03 UTC (rev 1477)
@@ -1,36 +0,0 @@
-#!/bin/sh
-
-set -e
-
-# initramfs-tools header
-
-PREREQ=""
-
-prereqs()
-{
-	echo "${PREREQ}"
-}
-
-case "${1}" in
-	prereqs)
-		prereqs
-		exit 0
-		;;
-esac
-
-# live-initramfs header
-
-. /scripts/live-functions
-
-log_begin_msg "Configuring /etc/modules..."
-
-# kernel-modules script
-
-case "${DPKG_ARCH}" in
-	powerpc|ppc64)
-		# load the right modules
-		echo snd_powermac >> /root/etc/modules
-		;;
-esac
-
-log_end_msg

Copied: dists/trunk/live-initramfs/scripts/live-bottom/111-modules (from rev 1476, dists/trunk/live-initramfs/scripts/live-bottom/111-kernel-modules)

Modified: dists/trunk/live-initramfs/scripts/live-bottom/121-inittab
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/121-inittab	2007-05-11 20:51:31 UTC (rev 1476)
+++ dists/trunk/live-initramfs/scripts/live-bottom/121-inittab	2007-05-11 21:05:03 UTC (rev 1477)
@@ -18,25 +18,23 @@
 		;;
 esac
 
-# configure-init
+# live-initramfs header
 
-DESCRIPTION="Setting up init..."
-
 . /scripts/live-functions
 
-log_begin_msg "$DESCRIPTION"
+log_begin_msg "Configuring /etc/inittab..."
 
 # Arrange for shells on virtual consoles, rather than login prompts
 
-if [ -n "$USERNAME" ]
+if [ -n "${USERNAME}" ]
 then
 	if [ -n "${LIVE_GETTY}" ]
 	then
 		if echo "${DEFCONSOLE}" | grep -qs ttyS
 		then
 			# AUTOMATIC SERIAL CONSOLE #
-			PORT=$(echo "${DEFCONSOLE}" | sed -e 's%,.*%%')
-			SPEED=$(echo "${DEFCONSOLE}" | sed -e 's%ttyS[0-9]\+,%%' -e's%\([0-9]\+\).*%\1%')
+			PORT="`echo "${DEFCONSOLE}" | sed -e 's%,.*%%'`"
+			SPEED="`echo "${DEFCONSOLE}" | sed -e 's%ttyS[0-9]\+,%%' -e's%\([0-9]\+\).*%\1%'`"
 
 			if ! ( sed -n -e'/^[^#]/p' /root/etc/inittab | grep -qs ":respawn:/sbin/getty.*${PORT}" )
 			then
@@ -56,8 +54,7 @@
 					done
 				done
 
-				echo "${ID}:2345:respawn:/sbin/live-getty -L ${PORT} ${SPEED} vt100" \
-					>> /root/etc/inittab
+				echo "${ID}:2345:respawn:/sbin/live-getty -L ${PORT} ${SPEED} vt100" >> /root/etc/inittab
 			fi
 		fi
 
@@ -81,22 +78,6 @@
 	fi
 fi
 
-# This has the nice side effect of the cron.{daily,weekly,monthly} jobs in
-# /etc/crontab remaining disabled, yet also not run by anacron
-if [ -x /root/etc/init.d/anacron ]
-then
-	for f in /root/etc/rc?.d/S??anacron
-	do
-		mv ${f} ${f%/*}/K00anacron
-	done
-fi
-
-# No point, really
-rm -f /root/etc/rc?.d/[SK]??postfix
-
-# Avoid clobbering the user's clock
-rm -f /root/etc/rc?.d/K??hwclock.sh
-
 # Disable readahead since it doesn't play well with squashfs + unionfs
 # use chmod instead of mv to not trigger unionfs bugs.
 if [ -e /root/sbin/readahead-list ]
@@ -105,5 +86,3 @@
 fi
 
 log_end_msg
-
-exit 0

Added: dists/trunk/live-initramfs/scripts/live-bottom/122-anacron
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/122-anacron	2007-05-11 20:51:31 UTC (rev 1476)
+++ dists/trunk/live-initramfs/scripts/live-bottom/122-anacron	2007-05-11 21:05:03 UTC (rev 1477)
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+# live-initramfs header
+
+if [ ! -x /root/etc/init.d/anacron ]
+then
+	exit 0
+fi
+
+. /scripts/live-functions
+
+log_begin_msg "Disabling anacron..."
+
+# anacron script
+
+# This has the nice side effect of the cron.{daily,weekly,monthly} jobs in
+# /etc/crontab remaining disabled, yet also not run by anacron
+
+for FILE in /root/etc/rc?.d/S??anacron
+do
+	mv "${FILE}" "`dirname ${FILE}`"/K00anacron
+done
+
+log_end_msg


Property changes on: dists/trunk/live-initramfs/scripts/live-bottom/122-anacron
___________________________________________________________________
Name: svn:executable
   + *

Added: dists/trunk/live-initramfs/scripts/live-bottom/123-postfix
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/123-postfix	2007-05-11 20:51:31 UTC (rev 1476)
+++ dists/trunk/live-initramfs/scripts/live-bottom/123-postfix	2007-05-11 21:05:03 UTC (rev 1477)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+# live-initramfs header
+
+if [ ! -x /root/etc/init.d/postfix ]
+then
+	exit 0
+fi
+
+. /scripts/live-functions
+
+log_begin_msg "Disabling postfix..."
+
+# postfix script
+
+rm -f /root/etc/rc?.d/[SK]??postfix
+
+log_end_msg


Property changes on: dists/trunk/live-initramfs/scripts/live-bottom/123-postfix
___________________________________________________________________
Name: svn:executable
   + *

Added: dists/trunk/live-initramfs/scripts/live-bottom/124-hwclock
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/124-hwclock	2007-05-11 20:51:31 UTC (rev 1476)
+++ dists/trunk/live-initramfs/scripts/live-bottom/124-hwclock	2007-05-11 21:05:03 UTC (rev 1477)
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+# live-initramfs header
+
+if [ ! -x /root/etc/init.d/postfix ]
+then
+	exit 0
+fi
+
+. /scripts/live-functions
+
+log_begin_msg "Disabling hwclock..."
+
+# hwclock script
+
+# Avoid clobbering the user's clock
+rm -f /root/etc/rc?.d/K??hwclock.sh
+
+log_end_msg


Property changes on: dists/trunk/live-initramfs/scripts/live-bottom/124-hwclock
___________________________________________________________________
Name: svn:executable
   + *




More information about the Debian-live-changes mailing list